#include <iostream>
#include <string.h>
#include "Cavallo.hh"
#include "Cane.hh"
#include "Gara.hh"
#include "Reporter.hh"
#include "FileReporter.hh"

using namespace std;

int main(int argc, char *argv[]) {

    if ( argc != 2 ) {
        cout << "Definire un tipo di reporter" << endl;
        return 0;
    }

    VReporter * r;
    if ( strcmp(argv[1],"1")) {
        r = new Reporter();
    } else if ( strcmp(argv[1],"2") ) {
        r = new FileReporter();
    } else {
        cout << "Definire un tipo di reporter" << endl;
        return 0;
    }

    Animale * a1 = new Cavallo("Furia1",2,1);
    Animale * a2 = new Cavallo("Furia2",2.4,1);
    Animale * a3 = new Cane("Bobby",1.334);
    Animale * a4 = new Cane("Pluto",1.8);

    Gara * g = new Gara(20,r);
    g->add(a1);
    g->add(a2);
    g->add(a3);
    g->add(a4);

    g->start();
    cout << "Traguardo" << endl;
    g->classifica();

    delete r;
    delete a1;
    delete a2;
    delete a3;
    delete a4;
    delete g;

    return 0;
}
