(************************************************************)
sol1 = Solve[ {x+y+z==4, x^2-y^2+z==2, -x +6 y-z==-2}, {x,y,z}];

(************************************************************)
gra1 = Plot3D[{4 - x - y, -x^2 + y^2 + 2, 2 + 6 y - x}, {x, -5, 5}, {y, -5, 5}];

(************************************************************)
SP[a_,b_] := If[ a===b, Sqrt[2], 0];


LP[i_,j_] := SP[i,j+1];
LM[i_,j_] := SP[i,j-1];

LX[i_,j_] := (LP[i,j]+LM[i,j]) /2;
LY[i_,j_] := (LP[i,j]-LM[i,j]) /(2 I);

lx = Table[ LX[i,j], {i,-1,1}, {j,-1,1} ];
ly = Table[ LY[i,j], {i,-1,1}, {j,-1,1} ];


(************************************************************)
sol2 = DSolve[ (1-x^2) y''[x] -x y'[x] + n^2 y[x] ==0, y[x], x];
sol2 = sol2 /. {C[1]->1, C[2]->0};

gra2 = Plot[ Evaluate[ Table[ y[x] /. sol2 /. n->i, {i,1,6}]], {x,-1,1}]

T[0,x_] = 1;
T[1,x_] = x;
T[n_,x_] := 2 x T[n-1,x] - T[n-2,x];

gra3 = Plot[ Evaluate[ Table[ T[i,x], {i,1,6}]], {x,-1,1}];